Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractSupplyMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractSupplyMetaData

All Implemented Interfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode, SupplyMetaData

public class AbstractSupplyMetaData
extends AbstractFeatureMetaData
implements SupplyMetaData

A supply.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Field Summary
`protected Object` | `supply` The supply

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractSupplyMetaData()` Create a new supply
`AbstractSupplyMetaData(Object supply)` Create a new supply

Method Summary
`Object` | `getSupply()` Get what is supplied
`void` | `setSupply(Object supply)` Set the supply
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getChildren, getDescription, setAnnotations, setDescription, visit`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`getChildren, visit`

Field Detail

### supply

    protected Object supply

  The supply

Constructor Detail

### AbstractSupplyMetaData

    public AbstractSupplyMetaData()

  Create a new supply

### AbstractSupplyMetaData

    public AbstractSupplyMetaData(Object supply)

  Create a new supply

Parameters:
  `supply` - the supply

Method Detail

### setSupply

    public void setSupply(Object supply)

  Set the supply

  Parameters:
    `supply` - the supply

### getSupply

    public Object getSupply()

  Description copied from interface: `SupplyMetaData`
  Get what is supplied

  Specified by:
    `getSupply` in interface `SupplyMetaData`
  Returns:
    the supply

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`
  Overrides:
    `toShortString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.